<template>
  <div class="infoPage">
    <div class="title-p">
      <p>详情</p>
      <p class="reset-button-one" @click="backPage">关闭</p>
    </div>
    <div class="text-max-box">
      <p>标题:</p>
      <p>{{infoData.title}}</p>
    </div>
    <div class="text-max-box">
      <p>发布单位:</p>
      <p>{{infoData.company}}</p>
    </div>
    <div class="text-max-box">
      <p>发送时间:</p>
      <p>{{infoData.createTime}}</p>
    </div>
    <div class="text-max-box">
      <p>发送人:</p>
      <p>{{infoData.createUsername}}</p>
    </div>
    <div class="text-max-box">
      <p>内容:</p>
      <p>{{infoData.contentName}}</p>
      <!--<a :href="infoData.content">{{infoData.contentName}}</a>-->
    </div>
    <iframe
      class="iframe-box"
      :src="iframeSrc" scrolling="auto" frameborder="0">
    </iframe>
  </div>
</template>

<script>
  import { addNotifyplan } from "@/api/laboratory/notifyplan";
  export default {
    name: "infoPage",
    props:{
      infoData:{},
    },
    data() {
      return {
        newData:{},
        iframeSrc:"",
      }
    },
    created() {
      this.newData = JSON.parse(JSON.stringify(this.infoData));
      this.iframeSrc = this.urlJudge(this.newData.contentUrl);
    },
    mounted(){

    },
    methods: {
      backPage(){
        this.$parent.pageTypeClick(1);
      },
    }
  }
</script>

<style scoped lang="scss">
  .infoPage{
    flex:1;
    display: flex !important;
    flex-direction: column;
    padding:0 20px 20px!important;
    *{
      margin:0;
    }
    .title-p{
      display: flex;
      border-bottom:1px solid #E0E0E0;
      p:nth-child(1){
        flex:1;
        line-height:80px;
        color:#0045AF;
        font-size:18px;
      }
      p:nth-child(2){
        font-size:14px;
        margin:20px 20px 0 0;
      }
      p:nth-child(3){
        font-size:14px;
        margin:20px 0 0;
      }
    }
    .text-max-box{
      display: flex;
      margin-top:30px;
      p{
        font-size:16px;
        line-height:20px;
      }
      p:nth-child(1){
        color:#333;
        text-align: right;
        width:100px;
      }
      p:nth-child(2){
        color:#999;
        margin-left:30px;
        width:620px;
      }
      a{
        font-size:16px;
        line-height:20px;
        color:#999;
        margin-left:30px;
        width:620px;
      }
    }
    .iframe-box{
      border:1px solid #dedede;
      margin:20px 40px;
      width:1100px;
      height:800px;
    }
  }
</style>
